POST api/sitecustomerapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

SiteCustomerViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

name

string

Required

String length: inclusive between 0 and 100

remark

string

None.

site_id

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "delay_between_scans": 1,
  "id": "205c0be8-7a36-4442-8fe3-0a4b4d59099a",
  "name": "sample string 4",
  "remark": "sample string 5",
  "site_id": "a73af1cf-bcd7-449a-adcc-a85f8a3b9c6c"
}

application/xml, text/xml

Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <delay_between_scans>1</delay_between_scans>
  <id>205c0be8-7a36-4442-8fe3-0a4b4d59099a</id>
  <name>sample string 4</name>
  <remark>sample string 5</remark>
  <site_id>a73af1cf-bcd7-449a-adcc-a85f8a3b9c6c</site_id>
</sitecustomer>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"44d27e1f-b8ee-4f7b-adaa-c35111bc3c2d"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">44d27e1f-b8ee-4f7b-adaa-c35111bc3c2d</guid>